# Uses of Class
org.apache.sysds.hops.FunctionOp

Packages that use FunctionOp
Package
Description
org.apache.sysds.hops
org.apache.sysds.hops.fedplanner
org.apache.sysds.hops.ipa

## Uses of FunctionOp in org.apache.sysds.hops

Methods in org.apache.sysds.hops that return types with arguments of type FunctionOp
Modifier and Type
Method
Description
`List<FunctionOp>`
ParameterizedBuiltinOp.`getParamservPseudoFunctionCalls()`

## Uses of FunctionOp in org.apache.sysds.hops.fedplanner

Methods in org.apache.sysds.hops.fedplanner with parameters of type FunctionOp
Modifier and Type
Method
Description
`static Map<String,Hop>`
FederatedPlannerUtils.`getParamMap(FunctionOp funcOp)`
Return parameter map containing the mapping from parameter name to input hop for all parameters of the function hop.

## Uses of FunctionOp in org.apache.sysds.hops.ipa

Methods in org.apache.sysds.hops.ipa that return types with arguments of type FunctionOp
Modifier and Type
Method
Description
`List<FunctionOp>`
FunctionCallGraph.`getFunctionCalls(String fkey)`
Returns all function operators calling the given function.
Methods in org.apache.sysds.hops.ipa with parameters of type FunctionOp
Modifier and Type
Method
Description
`void`
FunctionCallGraph.`removeFunctionCall(String fkey, FunctionOp fop, StatementBlock sb)`
Removes a single function call identified by target function name, and source function op and statement block.